### Class

# Meta LaunchContext

#### Description

    final class Meta.LaunchContext : Gio.AppLaunchContext
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GAppLaunchContext
- GObject

#### Instance methods

###### meta_launch_context_set_timestamp

No description available.

###### meta_launch_context_set_workspace

No description available.

##### Methods inherited from GAppLaunchContext (6)

###### g_app_launch_context_get_display

Gets the display string for the `context`. This is used to ensure new applications are started on the same display as the launching application, by setting the `DISPLAY` environment variable.

###### g_app_launch_context_get_environment

Gets the complete environment variable list to be passed to the child process when `context` is used to launch an application. This is a `NULL`-terminated array of strings, where each string has the form `KEY=VALUE`.

###### g_app_launch_context_get_startup_notify_id

Initiates startup notification for the application and returns the `XDG_ACTIVATION_TOKEN` or `DESKTOP_STARTUP_ID` for the launched operation, if supported.

###### g_app_launch_context_launch_failed

Called when an application has failed to launch, so that it can cancel the application startup notification started in g_app_launch_context_get_startup_notify_id().

###### g_app_launch_context_setenv

Arranges for `variable` to be set to `value` in the child’s environment when `context` is used to launch an application.

###### g_app_launch_context_unsetenv

Arranges for `variable` to be unset in the child’s environment when `context` is used to launch an application.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.LaunchContext:display

No description available.

###### Meta.LaunchContext:timestamp

No description available.

###### Meta.LaunchContext:workspace

No description available.

#### Signals

##### Signals inherited from GAppLaunchContext (3)

###### GAppLaunchContext::launch-failed

The `GAppLaunchContext::launch-failed` signal is emitted when a `GAppInfo` launch fails. The startup notification id is provided, so that the launcher can cancel the startup notification.

###### GAppLaunchContext::launch-started

The `GAppLaunchContext::launch-started` signal is emitted when a `GAppInfo` is about to be launched. If non-null the `platform_data` is an GVariant dictionary mapping strings to variants (ie `a{sv}`), which contains additional, platform-specific data about this launch. On UNIX, at least the `startup-notification-id` keys will be present.

###### GAppLaunchContext::launched

The `GAppLaunchContext::launched` signal is emitted when a `GAppInfo` is successfully launched.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaLaunchContextClass {
      GAppLaunchContextClass parent_class;

    }

No description available.

###### Class members

`parent_class: GAppLaunchContextClass`

  No description available.